_base=openfoam
pkgname=${_base}-com-precice-git
pkgver=1.1.0.r8.g3aa1005
pkgrel=1
pkgdesc="preCICE adapter for OpenFOAM (git version)"
arch=('x86_64')
url="https://github.com/precice/${_base}-adapter"
license=(GPL3)
_openfoam_version=v2312
depends=("${_base}-com=${_openfoam_version}" "precice")
makedepends=(git)
source=(git+${url}.git#branch=develop)
sha512sums=('SKIP')
provides=(${_base}-com-precice)
conflicts=(${_base}-com-precice)
# WM_PROJECT_DIR FOAM_USER_LIBBIN
# echo $FOAM_BUILDROOT $FOAM_EXTRA_CFLAGS $FOAM_EXTRA_CXXFLAGS $FOAM_EXTRA_LDFLAGS $FOAM_MODULE_PREFIX
pkgver() {
  cd ${_base}-adapter
  git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}

prepare() {
  if [ -n "${WM_PROJECT_DIR}" ]; then
    echo
    echo -e "\e[1m\e[5m\e[31mPlease make sure that no OpenFOAM version is sourced in bashrc.\e[0m"
    echo
    return 1
  fi
  # Enable additional debug messages?
  sed -i 's/ADAPTER_PREP_FLAGS=""/ADAPTER_PREP_FLAGS="-DADAPTER_DEBUG_MODE"/' ${_base}-adapter/Allwmake
  # Install inside of $pkgdir? opt/OpenFOAM/OpenFOAM-v2112/platforms/linux64GccDPInt32Opt/lib/
  sed -i 's/ADAPTER_TARGET_DIR="${FOAM_USER_LIBBIN:-}"/ADAPTER_TARGET_DIR="${pkgdir}${FOAM_LIBBIN}"/' ${_base}-adapter/Allwmake
  # Enable all cores?
  # sed -i 's/    wmake -j 4 libso/    wmake -j -module-prefix="${pkgdir}${FOAM_APP}" libso/' ${_base}-adapter/Allwmake
}

package() {
  source /opt/OpenFOAM/OpenFOAM-${_openfoam_version}/etc/bashrc || true
  cd ${_base}-adapter
  git rev-parse HEAD
  install -d "${pkgdir}${FOAM_APP}"
  ./Allclean
  . ./Allwmake || true
  cat Allwmake.log
  cat ldd.log
  cat wmake.log
  ls -laR ${pkgdir}
  ls -l lnInclude
  install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
